package com.gic.haoban.manage.api.service.chat;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.haoban.manage.api.dto.chat.GroupChatActivityRewardLogDTO;
import com.gic.haoban.manage.api.qdto.chat.GroupChatActivityRewardLogQDTO;
import org.springframework.stereotype.Service;

/**
 * @author shangfeng
 * @date 2024-10-09 10:59:53
 */
public interface GroupChatActivityRewardLogApiService {

    /**
     * 查询奖励详情
     *
     * @param rewardLogQDTO
     * @return
     */
    ServiceResponse<Page<GroupChatActivityRewardLogDTO>> queryRewardLogDetails(GroupChatActivityRewardLogQDTO rewardLogQDTO);
}
