package com.gic.haoban.manage.service.service.out.impl.chat;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.haoban.manage.api.dto.chat.GroupChatActivityRewardLogDTO;
import com.gic.haoban.manage.api.qdto.chat.GroupChatActivityRewardLogQDTO;
import com.gic.haoban.manage.api.service.chat.GroupChatActivityRewardLogApiService;
import com.gic.haoban.manage.service.service.chat.GroupChatActivityRewardLogService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * @author shangfeng
 * @date 2024-10-09 11:02:50
 */
@Service("groupChatActivityRewardLogApiService")
public class GroupChatActivityRewardLogApiServiceImpl implements GroupChatActivityRewardLogApiService {

    @Resource
    private GroupChatActivityRewardLogService groupChatActivityRewardLogService;

    @Override
    public ServiceResponse<Page<GroupChatActivityRewardLogDTO>> queryRewardLogDetails(GroupChatActivityRewardLogQDTO rewardLogQDTO) {
        return ServiceResponse.success(groupChatActivityRewardLogService.queryRewardLogDetails(rewardLogQDTO));
    }
}
